
//populate the results page
function setResults(search) {
	//populate result list
	
	var resultHtml = "";
	if (search == "category")
		resultHtml = "<div class='back-box2' onclick='setCategories();'><img src='img/arrow back.png' class='icon-arrow-back2' /><div class='back-txt22'> back</div></div>";

	if (Object.keys(resultList).length == 0) {
		if (search == "name") 
			resultHtml = "<center class='nomatches'>No matches.</center>";
		else
			resultHtml = "<center class='nomatches'>No matches.<div class='back-box' onclick='setCategories();'><center><img src='img/arrow back.png' class='icon-arrow-back2' /><div class='back-txt2'> back</div></center></div></center>";
	}

	$.each(resultList, function(index, element){
	    var featureImg = "";
	    if (element.featured == 1) {
		featureImg = "<img src='img/star.png' class='feature-star' />";
	    }
	    resultHtml += "<div onclick='tabto = \"" + search + "\"; searchboxTxt = \"" + $("#search").val() + "\"; projectId=\"" + element.projectID + "\"; changeDetail();'>"
		resultHtml += "<div class='result-title'>" + element.name + "</div>";
		resultHtml += "<div class='row'>";
		    resultHtml += "<div class='small-10 columns no-gutter'>";
			resultHtml += "<div class='result-description'>" + element.description + "</div>";
			resultHtml += "<div class='seperator'></div>";
		    resultHtml += "</div>";
		    resultHtml += "<div class='small-2 columns no-gutter'>";
			resultHtml += " <div class='category-circle' style='position: relative; background-color:" + categoryList[element.category].code + "'>" + featureImg + "</div>";
		    resultHtml += "</div>";
		resultHtml += "</div>";
	    resultHtml += "</div>";
	});
	if (search == "name") {
		$("#nameSearchResult").html(resultHtml); 
	} else if (search == "category") {
		$("#categorySearch").html(resultHtml); 
	} else if (search == "location") {
		addMarkers(); 
	}
}

//display project detail
function setDetail() {
	//date convert
	var dateStart = projectInfo.dateStart;
	dateStart = dateStart.split("-");
	var day = dateStart[2];
	var month = dateStart[1] - 1;
	var year = dateStart[0];
	dateStart = new Date(year, month, day);
	var monthList = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
	dateStart = day + " " + monthList[month] + " " + year;
	
	var dateEnd = projectInfo.dateEnd;
	dateEnd = dateEnd.split("-");
	var day2 = dateEnd[2];
	var month2 = dateEnd[1] - 1;
	var year2 = dateEnd[0];
	dateEnd = new Date(year2, month2, day2);
	dateEnd = day2 + " " + monthList[month2] + " " + year2;
	
	//format time
	var hourStart = parseInt(projectInfo.timeStart.substr(0, 2));
	var hourEnd =  parseInt(projectInfo.timeEnd.substr(0, 2));
	var amPm = "am";
	if (hourStart > 12) {
		amPm = "pm";
		hourStart -= 12;
	}
	var amPm2 = "am";
	if (hourEnd > 12) {
		amPm2 = "pm";
		hourEnd -= 12;
	}
	var time = "" + hourStart + amPm + " - " + hourEnd + amPm2;
	
	var latlng = projectInfo.coords.replace(" ", "");
	var latlng = latlng.split(",");
	
	//format people
	var people = projectInfo.numberOfPeople;
	if (people == 1) {
		people = "1 Person";
	} else people += " People";
	
	//determine the number of free places
	var places = projectInfo.numberOfPeople - projectInfo.participants;
	currentPeople = places;
	
	var hasjoined = false;
	hasjoined = hasProject(projectId);
	
	//check if current project
	var projectDate = new Date(year, month, day);
	var dateNow = new Date();

	if (projectDate.setHours(0, 0, 0, 0) >= dateNow.setHours(0, 0, 0, 0)) {} //current start date
	else	dateStart += " - " + dateEnd;
	
	$("#searchButtons").show();
	
	if (places > 0) { //if has space
		if (isLoggedIn()) { //is logged in
			if (!hasjoined) { //and has not joined to the project before
				$("#participateBtn").show(); //enable participate button
				$("#participantName").val(getFullName());
				$("#participantEmail").val(getUserEmail());
				$("#participantCNum").val(getUserContactNumber());
			} else {
				setJoinedBtn();
			}
		} else {
			$("#participateBtn").show(); //enable participate button
		}
	} else {
		if (isLoggedIn()) { //is logged in
			if (hasjoined) {
				setJoinedBtn();
			}
		}
	}
	
	if (places == 1)
		places += " Place";
	else if (places <= 0) {
		places = "None";
	}
	else places += " Places";
	
	$("#nameInfo").text(projectInfo.name);
	$("#titleInfo").text(projectInfo.title);
	$("#descriptionDetail").text(projectInfo.description);
	$("#projectCost").text("R" + projectInfo.cost);
	$("#peopleMax").text(people);
	$("#currentPeople").text(places);
	$("#bring").text(projectInfo.whatToBring);
	$("#startdate").text(dateStart);
	$("#timeFromTo").text(time);
	$("#addressDetail").text(projectInfo.address);
	$("#contactPerson").text(projectInfo.contactPerson);
	$("#contactNumber").text(projectInfo.contactNumber);
	$("#contactEmail").text(projectInfo.email);
	$("#latitude").text(latlng[0]);
	$("#longitude").text(latlng[1]);
	var website = projectInfo.website;
	if (website != "null") {
		if (website.substr(0, 7) != "http://") {
			website = "http://" + website;
		}
		$("#website").html("<a onclick='window.open(\"" + website + "\",\"_blank\",\"location=yes,enableViewportScale=yes,closebuttoncaption=Return\");' href='#'>" + website + "</a>");
	}
	
	$("#googlemaplink").on("click", function(){
		//create google map link
		window.open("http://maps.google.com/?q=" + latlng[0] + "," + latlng[1], '_blank','location=yes,enableViewportScale=yes,closebuttoncaption=Return');
	});
	
	$("#favBtn").on("click", function() { //add to favourites click event
		var favObj = {};
		favObj[projectId] = {name : projectInfo.name, category : projectInfo.category};
		var exists = false;
		if (localStorage.getItem("favs67minutes") != null) { //update existing obj
			favObj = {};
			favObj = JSON.parse(localStorage.getItem("favs67minutes"));
			if (projectId in favObj) {
				exists = true;
			}
			favObj[projectId] = {name : projectInfo.name, category : projectInfo.category};
		}
		
		localStorage.setItem("favs67minutes", JSON.stringify(favObj));
		
		$('#page-overlay').show();
		if (exists) {
			$("#favHeader").html("Add project to favourites");
			$("#favText1").html("The project <b><i><span>&ldquo;" + projectInfo.name + "&rdquo;</span></i></b> was previously added to your favourites.");
			$("#favText2").html("You can manage your favourites from the Accounts page <i>or</i> by clicking <u><b><span onclick=\"$('#page-overlay').hide(); $('#favMsg').hide(); changeFavourites();\">here</span></b></u>.");
		} else {
			$("#favHeader").html("Project added to favourites!");
			$("#favText1").html("The project <b><i><span>&ldquo;" + projectInfo.name + "&rdquo;</span></i></b> has been added to your favourites list.");
			$("#favText2").html("You can view your favourites from the Accounts page <i>or</i> by clicking <u><b><span onclick=\"$('#page-overlay').hide(); $('#favMsg').hide(); changeFavourites();\">here</span></b></u>.");
		}
		$("#favMsg").show();
	});
	$("#shareBtn").on("click", function() { //social sharing click event
		showSocialMediaContainer();
		var link = "http://67minutes.org.za/home.php?state=6&projectId=" + projectId;
		var message = "" + projectInfo.name + " need volunteers. See how you can help them by visiting this link : ";
		var message2 = "" + projectInfo.name + " needs volunteers. See how you can help them by visiting <a href='" + link + "'>" + link + "</a>";
		var subject = "67 Minutes and " + projectInfo.name + " needs volunteers. ";
		var image = "http://67minutes.org.za/title67minutes.png";
		
		$("#facebookLink").on("click", function(){ //share to facebook
			window.plugins.socialsharing.shareViaFacebook('Message via Facebook', null /* img */, link, sharingDone, sharingDone);
		});
		$("#twitterLink").on("click", function(){ //share to facebook
			window.plugins.socialsharing.shareViaTwitter(message, image, link, sharingDone, sharingDone);
		});
		$("#emailLink").on("click", function(){ //share with email
			window.plugins.socialsharing.shareViaEmail(
				message2, // can contain HTML tags, but support on Android is rather limited:  http://stackoverflow.com/questions/15136480/how-to-send-html-content-with-image-through-android-default-email-client
				subject,
				null, // TO: must be null or an array
				null, // CC: must be null or an array
				null, // BCC: must be null or an array
				null, // FILES: can be null, a string, or an array
				sharingDone, // called when sharing worked, but also when the user cancelled sharing via email (I've found no way to detect the difference)
				sharingDone // called when sh*t hits the fan
			);
		});
	});
	function sharingDone()
	{
		hideSocialMediaContainer();
	}
}

